#
```yaml
v1.7.5
```
```markdown
- minor bug fixes
- updated serversync
- added back itemmanager for more configurability.
- (NOTE: DELETE config\blacks7ar.BowPlugin.cfg and let the mod regenerate a new one.)
```

<details>
<summary><b>Changelog History</b> (<i>click to expand</i>)</summary>
<br/>

#
```yaml
v1.7.3
```
```markdown
- as requested added config option for crafting station.
```
```yaml
v1.7.2
```
```markdown
- fixed custom crosshairs
```
```yaml
v1.7.1
```
```markdown
- added 5 new bows
```
```yaml
v1.6.9
```
```markdown
- added config option for bow draw speed factor if scale by level is on.
- added config option for bow zoom speed factor.
- added config option for crossbow reload speed factor if scale by level is on.
- change how draw speed, zoom speed, and reload speed are being calculated if scale by level is on thanks to @Hiran.
```
```yaml
v1.6.8
```
```markdown
- updated to the latest valheim build (217.28)
- updated serversync and dependencies
- updated manifests bepinex dependency string
```
```yaml
v1.6.7
```
```markdown
- added toggle option to disable movement speed reduction while aiming/drawing a bow
```
```yaml
v1.6.6
```
```markdown
- fixed an NRE that happens when you press zoomkey/next arrow key at the password screen when connecting to a server
- put example translation to a zip package in order to avoid unnecessary duplicates.
```
```yaml
v1.6.5
```
```markdown
- fixed minor translation issue.
```
```yaml
v1.6.4
```
```markdown
- fixed bows/crossbows statuseffect tooltip.
```
```yaml
v1.6.3
```
```markdown
- fixed multiplayer version check issues
```
```yaml
v1.6.2
```
```markdown
- updated to the latest valheim build (217.22)
- added spanish translation
```
```yaml
v1.6.1
```
```markdown
- minor bug fixed.
```
```yaml
v1.6.0
```
```markdown
- removed item manager.
- added config option to disable recipes.
- added config for crossbow recipes.
- added config for crossbow damage.
- added german translation.
```
```yaml
v1.5.9
```
```markdown
- as requested added a configurable arrow/bolt retrieve chance.
```
```yaml
v1.5.8
```
```markdown
- added compatibility fixed to my RenegadeVikings mod.
- reduce the sizes of the crossbows.
- fixed auto zooming out with the bow.
```
```yaml
v1.5.7
```
```markdown
- updated to the latest valheim build (217.14) hilders request.
```
```yaml
v1.5.6
```
```markdown
- fixed icons visual glitch.
- added 4 types of bolts one for early game and 3 for end game.
- set bows launch angle to -1 (configurable)
```
```yaml
v1.5.4
```
```markdown
- added option to enable/disable speed reduction when reloading a crossbow.
- added 4 craftable crossbows (recolored arbalest) for each biome.
- Flint Crossbow for Meadows
- Bronze Crossbow for BlackForest (needs flint crossbow as recipe requirement)
- Iron Crossbow for Swamps (needs bronze crossbow as recipe requirement)
- Silver Crossbow for Mountains (needs iron crossbow as recipe requirement)
- BlackMetal Crossbow for Plains (needs silver crossbow as reccipe requirement)
- added additional bolt for blackforest (Bronze Bolt),
```
```yaml
v1.5.2
```
```markdown
- added speed reduction while reloading a crossbow.
- added zoom option for crossbow, you can only zoom when your crossbow is loaded.
- changed zoom key from (Left Shift) to (X) key so you could still run while wielding a crossbow.
```
```yaml
v1.5.1
```
```markdown
- updated to the latest valheim build (216.9)
```
```yaml
v1.5.0
```
```markdown
- added 3 exploding arrows.
- changed wood arrows crafting station from workbench to inventory.
```
```yaml
v1.4.8
```
```markdown
- added back the default bowcrosshair.
- change color configuration you can now customize the colors
```
```yaml
v1.4.7
```
```markdown
- updated to the latest bepinex build
- readjusted zoom speed calculation
- fixed zoom bug when bow skill level is 100
```
```yaml
v1.4.6
```
```markdown
- fixed bug with trolls and other creatures that uses range attacks
- fixed some minor bugs
```
```yaml
v1.4.5
```
```markdown
- fixed NRE when not wielding a weapon
- fixed compatibility issue with NoUnarmedCombat
- added option to disable custom critical status effect for bows.
```
```yaml
v1.4.4
```
```markdown
- fixed bug while drawing the bow and in the middle of manual zooming in and you switch/hide your weapon the camera get stuck in zoomed in.
- removed zoom key from being synced and locked so players can have their own key configuration.
```
```yaml
v1.4.3
```
```markdown
- fixed bug while drawing the bow and in the middle of auto zooming in and you switch/hide your weapon the camera get stuck in zoomed in.
- added configuration for the zoom in key
- added support to controllers
- changed the zoom in key to a different key so the the right click button can be used back to cancel bow draw, cancel zoom in, and block
- you can now cancel bow draw / zoom in while strafing
```
```yaml
v1.4.2
```
```markdown
- added 12 new bow crosshairs that you can configure while ingame no need to logout.
- added 7 colors for the new crosshairs that you can configure while ingame no need to logout.
- added zoom feature which you can use using right mouse button while drawing a bow.
- added auto zoom feature which you can enable or disable.
```
```yaml
v1.3.9
```
```markdown
- updated to the latest valheim and bepinex builds.
- added localization
```
```yaml
v1.3.8
```
```markdown
- updated itemmanager and serversync
- optimized code
```
```yaml
v1.3.7
```
```markdown
- fixed flint bolt recipe, you should now be able craft x20 instead of just 1
```
```yaml
v1.3.6
```
```markdown
- change full configuration of Flint Crossbow to Recipe only to prevent unknown configs when syncing from server to client.
(NOTE: DELETE \configs\blacks7ar.BowPlugin.cfg and let the mod regenerate a new one to avoid unnecessary bugs.)
```
```yaml
v1.3.5
```
```markdown
- added version checks
- updated to latest valheim assemblies
```
```yaml
v1.3.4
```
```markdown
- Added a new crossbow and bolt that you can craft early game.
```
```yaml
v1.3.3
```
```markdown
- fixed minor compatibility issue with my magicplugin
- added custom vfx for crit damage just a simple one, havent yet figured out how to make a crit damage text effect
```
```yaml
v1.3.2
```
```markdown
- improved critical mechanic of bows/crossbows
- added critical chance and critical damage configurations
- added bowplugin statuseffect for bows/crossbow weapons.
```
```yaml
v1.3.1
```
```markdown
- removes velocity effect on staves to make way for my new mod MagicPlugin
```
```yaml
v1.3.0
```
```markdown
- fixed possible NRE at the main menu.
- fixed config live update.
```
```yaml
v1.2.9
```
```markdown
- fixed conflict with professions mod.
```
```yaml
v1.2.8
```
```markdown
- fixed errors on dedicated servers running on linux
```
```yaml
v1.2.7
```
```markdown
- fixed bug on stamina usage
```
```yaml
v1.2.6
```
```markdown
- fixed staff of embers aoe damage. nearby objects/players close to player wont take damage anymore.
```
```yaml
v1.2.5
```
```markdown
- added config watcher.
```
```yaml
v1.2.4
```
```markdown
- fixed walking bug
```
```yaml
v1.2.3
```
```markdown
- fixed issue with staff of protection.
```
```yaml
v1.2.2
```
```markdown
- added option to turn off character rotation.
- character rotation now applies to all kinds of weapons.
```
```yaml
v1.2.1
```
```markdown
- fixed arrow velocity
```
```yaml
v1.2.0
```
```markdown
- added character rotation. character now always faces the direction of your cursor if your equippped with a bow or crossbow.
- added soft dependency to my SNEAKer mod.
- added sneak attack damage multiplier.
- in every successful sneak attack, you now gain sneak skill exp.
- added critical multiplier to staggered enemies for bow and crossbow.
```
```yaml
v1.1.3
```
```markdown
- fixed exp scaling
- fixed exp from exceeding with skill level is at 100
- fixed arrow trajectory, its almost close to the crosshair now.. i think xD
```
```yaml
v1.1.2
```
```markdown
- fixed arrows going straight to things and not hitting target.
```
```yaml
v1.1.1
```
```markdown
- fixed crosshair visibility.
- added speed reduction while drawing a bow.
```
```yaml
v1.1.0
```
```markdown
- added exp multipliers for bows and crossbows.
```
```yaml
v1.0.9
```
```markdown
- Fix fishing rod issue, its no longer affected by velocity multiplier.
- Improves Accuracy / DrawSpeed / ReloadTime calculations.
```
```yaml
v1.0.8
```
```markdown
- added serversync by blaxxun
```
```yaml
v1.0.7
```
```markdown
- fix chat issue
```
```yaml
v1.0.6
```
```markdown
- added configuration for the crossbow. loading time and recoil is now configurable.
```
```yaml
v1.0.5
```
```markdown
- added option to change draw speed, either configured manually or can be scaled by your level.
```
```yaml
v1.0.4
```
```markdown
- adjusted some values, draw speed is not that slower now at the beginning and not too fast at higher levels.
```
```yaml
v1.0.3
```
```markdown
- removed draw speed config (draw speed now scaled by your bow skill level)
```
```yaml
v1.0.2
```
```markdown
- arrows no longer switch while typing in console and making pins on the map
```
```yaml
v1.0.1
```
```markdown
- added draw speed
```
```yaml
v1.0.0
```
```markdown
- first release
```

</details>
